## org.red5.server.net.remoting.message
Class RemotingPacket

    java.lang.Object
      org.red5.server.net.remoting.message.RemotingPacket

    public class RemotingPacket

extends Object

Packet of remote calls. Used by RemoteProtocolDecoder.

Field Summary
`protected List<RemotingCall>` `calls` List of calls
`protected ByteBuffer` `data` Byte buffer data
`protected Map<String,Object>` `headers` Headers sent with request.
`protected javax.servlet.http.HttpServletRequest` `request` HTTP request object
`protected String` `scopePath` Scope path

Constructor Summary
`RemotingPacket(Map<String,Object> headers, List<RemotingCall> calls)` Create remoting packet from list of pending calls

Method Summary
`List<RemotingCall>` `getCalls()` Getter for calls.
`IConnection.Encoding` `getEncoding()` Return the encoding of the included calls.
`Map<String,Object>` `getHeaders()` Get the headers sent with the request.
`String` `getScopePath()` Getter for property scope path.
`void` `setScopePath(String path)` Setter for scope path.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### request

    protected javax.servlet.http.HttpServletRequest request

  HTTP request object

### data

    protected ByteBuffer data

  Byte buffer data

### headers

    protected Map<String,Object> headers

  Headers sent with request.

### calls

    protected List<RemotingCall> calls

  List of calls

### scopePath

    protected String scopePath

  Scope path

Constructor Detail

### RemotingPacket

    public RemotingPacket(Map<String,Object> headers,
                          List<RemotingCall> calls)

  Create remoting packet from list of pending calls

  Parameters:
    `headers` - headers
    `calls` - List of call objects

Method Detail

### getHeaders

    public Map<String,Object> getHeaders()

  Get the headers sent with the request.

  Returns:
    headers

### getCalls

    public List<RemotingCall> getCalls()

  Getter for calls.

  Returns:
    List of remote calls

### setScopePath

    public void setScopePath(String path)

  Setter for scope path.

  Parameters:
    `path` - Value to set for property 'scopePath'.

### getScopePath

    public String getScopePath()

  Getter for property scope path.

  Returns:
    Scope path to set

### getEncoding

    public IConnection.Encoding getEncoding()

  Return the encoding of the included calls.

  Returns:
    encoding

Copyright © 2006-2010 The Red5 Project